/*
 Problema: dado as notas finais dos n alunos de informatica
 (um conjunto com n numeros reais), determinar e imprimir a maior
 nota final da turma (o maior valor destes numeros).

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n";
  3 - repeticao para:
       3.1 - ler uma nota final, de cada vez;
       3.2 - selecionar o maior valor lido;
  4 - imprimir o valor obtido;

 descricao das variaveis
  n - tamanho da turma (numero de alunos - numero de repeticoes)
  i - contador de repeticao (indice - controlador da repeticao: 1..n)
  x - guarda o valor lido, em cada passo (representa uma nota final)
  y - guarda a maior nota final, digitada - lida(parcial)
*/

#include <iostream>

using namespace std;

int main ()
{
  int n; /* tamanho da turma = numero de repeticao */
  int i; /* contador de repeticao: 1..n */
  float x; /* uma nota final */
  float y; /* maior nota final */

  cout << "\nDigite o tamanho da turma (n): ";
  cin >> n;
  y = 0; //define o valor inicial da maior nota final, deve ser
         //menor que qualquer valor futuro de "x"
  cout << "\nDigite as notas finais dos alunos\n";
  i = 1; //ler a primeira nota final
  while (i <= n)
  {
    cout << "Aluno " << i << ": ";
    cin >> x; //leitura de uma nota final(voce digita e o programa l)
    if (x>y) //selecionar a maior nota final, compara a i-esima
    {        //nota digitada com o valor atual de y
      y = x; //atualiza o valor da maior nota final (y)
    }
    i = i + 1; //incrementa contador, para ler a proxima nota final e comparar com y
  }
  cout << "\nA maior nota final da turma = " << y << endl;
  return 0;
}
