/*
 Problema: dado um numero inteiro n>0, gerar e imprimir
 a seguencia dos n-primeiros numeros naturais. Isto eh dado
 um numero inteiro n>0, obter a sequencia = 1, 2, 3, 4, ..., n

 Resolucao: O programa deve ter os seguintes passos:
  1 - definir os tipos de dados; (declarar as variaveis)
  2 - permitir que voce digite o valor do numero "n";
  3 - repeticao para:
       3.1 - gerar o elemento da sequencia, um de cada vez;
       3.2 - imprimir o valor gerado;

 descricao das variaveis - declare
  n - numero de elementos a serem gerados(numero de repeticoes)
  i - contador de repeticao: 1..n, usado para obter a sequencia de numeros,
      guarda(armazena) o numero gerado, em cada passo
*/

#include <iostream>

using namespace std;

int main ()
{
  int n; /* numero de repeticao */
  int i; /* contador de repeticao: 1..n, numero gerado - elemento da sequencia  */

  cout << "Digite o valor de n: ";
  cin >> n;
  cout << "\nSequencia gerada :" << endl;
  i = 1; //gerar o primeiro elemento
  while (i <= n)
  {//inicio-while
        cout << "i =  " << i << endl; //escreve a mensagem: i =
                                 //seguida do valor de i(numero inteiro)
        i = i + 1; //contar, e gerar o prximo elemento
  }//fim-while

  return 0;
}
